# classes/phing/types/FilterChain.php

## \FilterChain
jump to top

FilterChain may contain a chained set of filter readers.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \DataType
author
  Yannick Lecaillez
package
  phing.types
version
  $Revision: 1084 $

### Properties

`$filterReaders= 'array'`
Default value `array` Details

Type

### Methods

`__construct( $project = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$project |  |

`addExpandProperties( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addFilterReader( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addGettext( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addHeadFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addIconvFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addLineContains( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addLineContainsRegExp( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addPrefixLines( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addReplaceRegexp( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addReplaceTokens( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addReplaceTokensWithFile( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addStripLineBreaks( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addStripLineComments( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addStripPhpComments( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addStripWhitespace( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addTabToSpaces( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addTailFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addTidyFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addXincludeFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`addXsltFilter( $o ) :`
Parameters

Name | Type | Description
--- | --- | ---
$o |  |

`getFilterReaders( ) :`
`setRefid( $r ) :`
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

Documentation was generated by DocBlox 0.13.1.